/* -*- c++ -*- */
/*
 * XFormat (xf) (C) 1997 by Karsten Ballder <Ballueder@usa.net>
 *
 * This program is protected and licensed under the terms and
 * conditions of the GNU General Public License, Version 2.
 *
 */

#ifndef	WXEXTAPP_H
#	define WXEXTAPP_H

#include	<wx.h>
#include  	<appconf.h>
/**
  * An extended wxWindows Application class.
  *
  * It provides the following new features:
  *
  * - automatic parsing of wxConfig style configuration files
  * - automatic translation and setting of language
  * - (future / not yet) automatic setting of date/time format
  *
  * @author Karsten Ballder (Ballueder@usa.net)
  * @short extended wxWindows Application class
  * @version $Id: wxExtApp.h,v 1.2 1997/11/01 21:28:13 karsten Exp $
  * @see wxConfig
  */

class wxExtApp : public wxApp
{
   const char *appname;
public:
   FileConfig	*config;
   /** Constructor requires the name of the application
       Loads the configuration files into config and parses command
       line for settings of the form "-oVariable=Value".
       @param	appname name of the application (for parsing config
       files)
       */
   wxExtApp(const char *appname = "wxapp");
   /// Destructor
   ~wxExtApp();

   /**
      Sets the language
      @param name of new language
   */
   void	SetLanguage(const char *l = "en");
};


#ifdef	HAVE_LIBINTL
#	include	<libintl.h>
#	define _(String) gettext (String)
#	ifndef LOCALEDIR
#		define	LOCALEDIR	"/usr/share/local"
#	endif
#else
#	define _(String) String
#endif

#endif
